These docs are for v1. Click to read the latest docs for v3.

Trips

This API provides you with granular information about trips taken by your fleet within the time period that is requested for. A trip in Azuga is defined as an ignition ON - Ignition OFF cycle. A trip response contains summarized information that can pertain to vehicle health, driving behavior, fuel consumption, etc.,

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://api.azuga.com/azuga-ws/v1/activity/list.json?vehicleName=Nathen's car&from=12-15-2015 00:00:00&to=12-15-2015 10:10:59&groupName=California

API Response explanation

FieldDescription
codeAPI Status Code
messageAPI Message (Success/Failure)
generatedAtAPI generation timestamp in UTC
reasonThe reason for failure
currentPageThe current page
totalPagesThe total number of pages in the result
activityReportAn array of activityreport objects
vehicleNameName of the vehicle
vehicleIdUnique identifier representing the vehicle
groupNameName of the group associated with vehicle
tsTimeTimestamp in UTC when the ignition turned ON
tsLatLatitude coordinate of the location where the ignition turned ON
tsLonLongitude coordinate of the location where the ignition turned ON
tsAddressAddress of the location where the ignition turned ON
teTimeTimestamp in UTC when the ignition turned OFF
teLatLatitude coordinate of the location where the ignition turned OFF
teLonLongitude coordinate of the location where the ignition turned OFF
teAddressAddress of the location where the ignition turned OFF
stopTimeTime between an Ignition OFF and the next Ignition ON
distanceTravelledTotal distance driven in that trip
tripTimeTotal time between an Ignition ON and Igntion OFF
idleTimeTime period during which the vehicle was in the idle state
hardBrakingCountsNumber of hard breaking incidents. Hard breaking is the change in speed of 13-16 KMPH in one second (as long as the vehicle is already travelling at a speed of 29 KMPH).
hardAccelerationCountsNumber of sudden acceleration incidents. Sudden acceleration is the change in speed of 13-16 KMPH in one second.
overSpeedEventsNumber of speeding incidents. A speeding incident is counted when the vehicle exceeds the speed limit set in the speeding alert.
overSpeedDurationTime during which the vehicle traveled at a speed greater than the one set in the speeding alert.
maxSpeedMaximum speed attained during the trip
averageSpeedAverage speed during the trip
userIdThe unique ID of the driver associated with the trip
userNameThe name of the driver associated with the trip
tsoffsetTrip start time difference with respect to vehicle's timezone
teoffsetTrip end time difference with respect to vehicle's timezone
imeiIMEI number associated with the sim in the device
occupantIdsAn array of unique identifiers of the occupants associated with the trip
reserved1Reserved variable for future use
reserved2Reserved variable for future use
reserved3Reserved variable for future use
reserved4Reserved variable for future use
Query Params
string

Name of the vehicle (Either the vehicle name or the group name is required for the API call)

string
required

Trip start timestamp in UTC with format mm-dd-yyyy HH:mm:ss

string
required

Trip end timestamp in UTC with format mm-dd-yyyy HH:mm:ss

string

Name of the group (Either the group name or the vehicle name is mandatory)

int32
Defaults to 1

Page number of the paginated result

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json